# PCFactorSetFill

Indicate the amount of fill you expect in the factored matrix, fill = number nonzeros in factor/number nonzeros in original matrix.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorSetFill(PC pc,PetscReal fill)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| fill | - amount of expected fill

### Options Database Key

-pc_factor_fill <fill> -Sets fill amount

### Note

For sparse matrix factorizations it is difficult to predict how much fill to expect. By running with the option -info PETSc will print the actual amount of fill used; allowing you to set the value accurately for future runs. Default PETSc uses a value of 5.0

### Keywords

PC, set, factorization, direct, fill

Level:intermediate
Location: src/ksp/pc/impls/factor/lu/lu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages